## ros-foxy-gazebo-ros2-control-demos 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gazebo_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

add_executable(example_gripper examples/example_gripper)
ament_target_dependencies(example_gripper
  rclcpp
  std_msgs
)

add_executable(example_diff_drive examples/example_diff_drive.cpp)
ament_target_dependencies(example_diff_drive
  rclcpp
  geometry_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

install(
  TARGETS
    example_position
    example_velocity
    example_effort
    example_gripper
    example_diff_drive
  DESTINATION
    lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-gazebo-ros2-control-demos (0.1.1-2focal) focal; urgency=high

  * Adding simulation time parameter for the controller manager (#138 <https://github.com/ros-controls/gazebo_ros2_control/issues/138>) (#158 <https://github.com/ros-controls/gazebo_ros2_control/issues/158>)
    Co-authored-by: Eslam Salah <mailto:eslamsalahelsheikh@gmail.com>
  * [backport Foxy] #136 <https://github.com/ros-controls/gazebo_ros2_control/issues/136> #147 <https://github.com/ros-controls/gazebo_ros2_control/issues/147> #139 <https://github.com/ros-controls/gazebo_ros2_control/issues/139> #134 <https://github.com/ros-controls/gazebo_ros2_control/issues/134> (#150 <https://github.com/ros-controls/gazebo_ros2_control/issues/150>)
    Co-authored-by: Keegan Sotebeer <mailto:ksotebeer95@gmail.com>
    Co-authored-by: Maciej Bednarczyk <mailto:83034299+mcbed@users.noreply.github.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Leander Stephen D'Souza

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 14 Nov 2022 23:00:00 -0000

ros-foxy-gazebo-ros2-control-demos (0.1.0-2focal) focal; urgency=high

  * Added diff drive example (#113 <https://github.com/ros-simulation/gazebo_ros2_control/issues/113>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-foxy-gazebo-ros2-control-demos (0.0.4-2focal) focal; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-foxy-gazebo-ros2-control-demos (0.0.3-2focal) focal; urgency=high

  * Update code with recent change in ros2_control (#81 <https://github.com/ros-simulation/gazebo_ros2_control/issues/81>)
  * Adding ros2_control dependency to demos (#74 <https://github.com/ros-simulation/gazebo_ros2_control/issues/74>) (#76 <https://github.com/ros-simulation/gazebo_ros2_control/issues/76>)
  * Contributors: Alejandro Hernández Cordero, Ron Marrero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-foxy-gazebo-ros2-control-demos (0.0.2-2focal) focal; urgency=high

  * Remove Unnecessary parameter in demo (#68 <https://github.com/ros-simulation/gazebo_ros2_control//issues/68>)
  * Add effort_controller exec_depend on demos (#69 <https://github.com/ros-simulation/gazebo_ros2_control//issues/69>)
  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * add ros2_controllers as exec dependency (#56 <https://github.com/ros-simulation/gazebo_ros2_control//issues/56>)
    fixes #49 <https://github.com/ros-simulation/gazebo_ros2_control//issues/49>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-foxy-gazebo-ros2-control-demos (0.0.1-2focal) focal; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Updated with recent ros2_control changes (#34 <https://github.com/ros-simulation/gazebo_ros2_control/issues/34>)
  * Added initial demos in gazebo_ros2_control_demos (#2 <https://github.com/ros-simulation/gazebo_ros2_control/issues/2>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000

=== debian/control ===
Source: ros-foxy-gazebo-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-control-msgs, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-foxy-gazebo-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-control-msgs, ros-foxy-diff-drive-controller, ros-foxy-effort-controllers, ros-foxy-gazebo-ros, ros-foxy-gazebo-ros2-control, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-joint-state-controller, ros-foxy-joint-trajectory-controller, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-rclcpp, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-ros2-controllers, ros-foxy-std-msgs, ros-foxy-velocity-controllers, ros-foxy-xacro, ros-foxy-ros-workspace
Description: gazebo_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-gazebo-ros2-control-demos//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
